<div class="row nested-fields">
  <div class="col-md-3">
    <%= f.input :hostel_type, label: "HOSTEL TYPE", collection: hostel_type_collection, input_html: {class: "form-control form-flied hostel_select"} %>
  </div>
  <div class="col-md-3">
    <%= f.input :name, label: "NAME", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 boys_div">
    <%= f.input :total_boys, label: "TOTAL BOYS", input_html: { class: "form-control form-flied boys_div" } %>
  </div>
  <div class="col-md-3 girls_div">
    <%= f.input :total_girls, label: "TOTAL GIRLS", input_html: { class: "form-control form-flied" } %>
  </div>
</div>
<%= link_to_remove_association 'REMOVE HOSTEL', f, class: "btn-danger btn rounded-2 btn-sm mb-3 mt-2" %>

<script type="text/javascript">
  $(document).ready(function(){
    var type = $('#infrastructure_hostels_attributes_0_hostel_type').find('option:selected').text();
    if (type == "Boy's Hostel") {
      $('label[for=infrastructure_hostels_attributes_0_total_boys], input#infrastructure_hostels_attributes_0_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_0_total_girls], input#infrastructure_hostels_attributes_0_total_girls').hide();
    }else if(type == "Girl's Hostel"){
      $('label[for=infrastructure_hostels_attributes_0_total_girls], input#infrastructure_hostels_attributes_0_total_girls').show();
      $('label[for=infrastructure_hostels_attributes_0_total_boys], input#infrastructure_hostels_attributes_0_total_boys').hide();
    }else{
      $('label[for=infrastructure_hostels_attributes_0_total_boys], input#infrastructure_hostels_attributes_0_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_0_total_girls], input#infrastructure_hostels_attributes_0_total_girls').show();
    }

    var type = $('#infrastructure_hostels_attributes_1_hostel_type').find('option:selected').text();
    if (type == "Boy's Hostel") {
      $('label[for=infrastructure_hostels_attributes_1_total_boys], input#infrastructure_hostels_attributes_1_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_1_total_girls], input#infrastructure_hostels_attributes_1_total_girls').hide();
    }else if(type == "Girl's Hostel"){
      $('label[for=infrastructure_hostels_attributes_1_total_girls], input#infrastructure_hostels_attributes_1_total_girls').show();
      $('label[for=infrastructure_hostels_attributes_1_total_boys], input#infrastructure_hostels_attributes_1_total_boys').hide();
    }else{
      $('label[for=infrastructure_hostels_attributes_1_total_boys], input#infrastructure_hostels_attributes_1_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_1_total_girls], input#infrastructure_hostels_attributes_1_total_girls').show();
    }
  });

  $('#infrastructure_hostels_attributes_0_hostel_type').on('change', function(){
    var type = $(this).find('option:selected').text();
    if (type == "Boy's Hostel") {
      $('label[for=infrastructure_hostels_attributes_0_total_boys], input#infrastructure_hostels_attributes_0_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_0_total_girls], input#infrastructure_hostels_attributes_0_total_girls').hide();
    }else if(type == "Girl's Hostel"){
      $('label[for=infrastructure_hostels_attributes_0_total_girls], input#infrastructure_hostels_attributes_0_total_girls').show();
      $('label[for=infrastructure_hostels_attributes_0_total_boys], input#infrastructure_hostels_attributes_0_total_boys').hide();
    }else{
      $('label[for=infrastructure_hostels_attributes_0_total_boys], input#infrastructure_hostels_attributes_0_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_0_total_girls], input#infrastructure_hostels_attributes_0_total_girls').show();
    }
  });

  $('#infrastructure_hostels_attributes_1_hostel_type').on('change', function(){
    var type = $(this).find('option:selected').text();
    if (type == "Boy's Hostel") {
      $('label[for=infrastructure_hostels_attributes_1_total_boys], input#infrastructure_hostels_attributes_1_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_1_total_girls], input#infrastructure_hostels_attributes_1_total_girls').hide();
    }else if(type == "Girl's Hostel"){
      $('label[for=infrastructure_hostels_attributes_1_total_girls], input#infrastructure_hostels_attributes_1_total_girls').show();
      $('label[for=infrastructure_hostels_attributes_1_total_boys], input#infrastructure_hostels_attributes_1_total_boys').hide();
    }else{
      $('label[for=infrastructure_hostels_attributes_1_total_boys], input#infrastructure_hostels_attributes_1_total_boys').show();
      $('label[for=infrastructure_hostels_attributes_1_total_girls], input#infrastructure_hostels_attributes_1_total_girls').show();
    }
  });
</script>